:host {
  width: 100%;
  height: 100%;
}
.login-container {
  height: 100%;
  width: 100%;
  background-color: #ecf0f1;
  display: flex;
  justify-content: center;
  align-items: center;
  .login-container-label {
    display: flex;
    justify-content: center;
    font-size: 24px;
    margin-top: 22px;
    font-family: sans-serif;
   }
   .login-form {
    padding-left: 20px;
    padding-right: 20px;
   }
   .user-icon {
    position: absolute;
    margin-top: 7px;
    margin-left: 2px;
   }
  .login-form-container {
    width: 280px;
    height: 280px;
    background-color: white;

    .username-section {
      margin-top: 50px;;
    }
    .username-section,
    .password-section {
      margin-bottom: 15px;
    }
    .username-input input,
    .password-input input {
      background: #ecf0f1;
      border: 1px solid #ecf0f1;
      box-sizing: border-box;
      border-radius: 5px;
      height: 40px;
      width: 241px;
      font-weight: 500;
      font-size: 14px;
      line-height: 21px;
      color: #34495e;
      padding: 4px 12px;
      padding-left: 30px;
      outline: none;
      &:hover,
      &:focus {
        border: 1px solid darkgrey;
      }
      &.invalid-input {
        border-color: #f54b5e;
      }
    }
    .submit-section {
      justify-content: center;
      display: flex;
      margin-top: 23px;
      button {
        background-color: #358ED7;
        border-radius: 3px;
        text-align: center;
        letter-spacing: 2.35846px;
        color: #fff;
        outline: none;
        border: 1px solid;
        height: 30px;
        width: 75px;
        letter-spacing: normal;
        &:disabled {
          opacity: 0.6;
        }
        &:hover:disabled {
          text-decoration: none !important;
        }
      }
    }
  }
}
